{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% import '_includes/macros.html.twig' as appMacros %}

<div class="box box-default">
    <div class="box-header with-border">
        <h3 class="box-title">5 derniers traitements</h3>
        <div class="box-tools pull-right">
            <a href="{{ path('processes') }}" class="btn btn-box-tool"><i class="fa fa-mail-forward"></i> Historique des traitements</a>
        </div>
    </div>

    {% if processes is defined and processes | length > 0 %}
        <!-- /.box-header -->
        <div class="box-body p-0">
            <div class="table-responsive">
                <table class="table table-hover no-margin">
                    <thead>
                    <tr>
                        <th>Date / heure</th>
                        <th>Flux</th>
                        <th>Statut</th>
                        <th>Taux de publication</th>
                        <th>Anomalies</th>
                    </tr>
                    </thead>
                    <tbody>
                        {% for process in processes %}
                            <tr>
                                <td>{{ (process.createdAt | moment).calendar() | capitalize }}</td>
                                <td>
                                    <a href="{{ path('flux.detail', { id: process.flux.id }) }}">{{ process.flux.name }}</a>
                                </td>
                                <td>
                                    {{ appMacros.process_status_frame(process.StatusInfos.status, process.statusInfos.label, process.statusInfos.description) }}
                                </td>
                                {% if process.status != constant('STATUS_ERROR', process) and process.status != constant('STATUS_RUNNING', process) %}
                                    <td>
                                        {{ appMacros.progress_bar(process) }}
                                    </td>
                                    <td class="text-right">
                                        {#{% set anomaly_count = process.anomalies | length %}#}
                                        {% if process.statsProduceRDF and process.statsProduceRDF.anomalies.total and process.statsProduceRDF.anomalies.total > 0 %}
                                            <span class="text-orange _tooltip" data-tooltip='{"side": "bottom"}' title="Erreurs de validation détectées sur les POI">
                                                <span class="fa fa-warning"></span>
                                            </span>
                                        <a href="{{ path('flux.anomalies', { id: process.flux.id }) }}">{{ process.statsProduceRDF.anomalies.total | number_format }}</a>
                                        {% else %}
                                            -
                                        {% endif %}
                                    </td>
                                {% else %}
                                    <td class="text-right">-</td>
                                    <td class="text-right">-</td>
                                {% endif %}
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
            <!-- /.table-responsive -->
        </div>
        <!-- /.box-footer -->
    {% else %}
        <div class="box-body">
            {% if processes is defined %}<div class="text-muted-light">Aucun traitement à afficher</div>{% endif %}
        </div>
    {% endif %}
</div>


